Skip to main content
GET
/
payments
/
transactions
List Transactions
curl --request GET \
  --url https://services.leadconnectorhq.com/payments/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    {
      "_id": "61dd0feac077f72010f78804",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "location",
      "status": "succeeded",
      "entitySourceType": "funnel",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "fulfilledAt": "2023-11-20T10:27:36.515Z",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@gohighlevel.com",
      "currency": "USD",
      "amount": "100",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "61dd0fe9c077f73e67f78803",
      "entitySourceSubType": "two_step_order_form",
      "entitySourceName": "new funnel",
      "entitySourceId": "BDBMEghdIUaqMPEsK349",
      "entitySourceMeta": "{ domain: \"app.gohighlevel.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
      "chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
      "chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\",  account_name:  \"GHL-Testing\" }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "612ca676b484b241fef9d962",
      "ipAddress": "107.178.194.224",
      "amountRefunded": "10",
      "paymentMethod": "{ card: { \"brand\": \"discover\", \"last4\": \"0012\" } }",
      "createdBy": "user123"
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

locationId
string

LocationId is the id of the sub-account.

Example:

"3SwdhCu3svxI8AKsPJt6"

altId
string
required

AltId is the unique identifier e.g: location id.

Example:

"3SwdhCu3svxI8AKsPJt6"

altType
string
required

AltType is the type of identifier.

Example:

"location"

paymentMode
string

Mode of payment.

Example:

"live"

startAt
string

Starting interval of transactions.

Example:

"2024-02-01"

endAt
string

Closing interval of transactions.

Example:

"2024-02-13"

entitySourceType
string

Source of the transactions.

Example:

"funnel"

entitySourceSubType
string

Source sub-type of the transactions.

Example:

"two_step_order_form"

The name of the transaction for searching.

Example:

"Awesome transaction"

subscriptionId
string

Subscription id for filtering of transactions.

Example:

"sub_1KGcXDCScnf89tZoVkoEMCEL"

entityId
string

Entity id for filtering of transactions.

Example:

"61dd0fe9c077f73e67f78803"

contactId
string

Contact id for filtering of transactions.

Example:

"XPLSw2SVagl12LMDeTmQ"

limit
number
default:10

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

Response

Successful response

data
object[]
required

An array of transactions

totalCount
number
required

total transactions count

Last modified on March 4, 2026